fails on builders
not sure why, as the support works
--
diff --git a/tests/Makefile.in b/tests/Makefile.in
index c6da8c1..ec5c1fd 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -170,8 +170,6 @@ host_triplet = @host@
 @ENABLE_PKCS11_TRUE@@WINDOWS_FALSE@	global-init-override
 
 @ENABLE_TPM2_TRUE@am__append_16 = tpm2.sh
-@ENABLE_KTLS_TRUE@am__append_17 = gnutls_ktls ktls_keyupdate
-@ENABLE_KTLS_TRUE@am__append_18 = ktls.sh ktls_keyupdate.sh
 
 #
 # List of tests not available/functional under windows
@@ -486,7 +484,6 @@ am__EXEEXT_15 = tls13/supported_versions$(EXEEXT) \
 	tls11-rollback-detection$(EXEEXT) \
 	tls12-check-rollback-val$(EXEEXT) \
 	tls11-check-rollback-val$(EXEEXT) \
-	tls13/post-handshake-with-psk$(EXEEXT) \
 	tls13/post-handshake-with-cert-auto$(EXEEXT) \
 	tls13/anti_replay$(EXEEXT) tls13/compress-cert$(EXEEXT) \
 	tls13/compress-cert-neg$(EXEEXT) \
@@ -686,8 +686,6 @@
 	$(am__EXEEXT_8) $(am__EXEEXT_9) $(am__EXEEXT_10) \
 	$(am__EXEEXT_11) $(am__EXEEXT_12) record-sendfile$(EXEEXT) \
 	$(am__EXEEXT_13) $(am__EXEEXT_14)
-@ENABLE_KTLS_TRUE@am__EXEEXT_16 = gnutls_ktls$(EXEEXT) \
-@ENABLE_KTLS_TRUE@	ktls_keyupdate$(EXEEXT)
 @WINDOWS_FALSE@am__EXEEXT_17 = dtls-stress$(EXEEXT)
 @DISABLE_SYSTEM_CONFIG_FALSE@@WINDOWS_FALSE@am__EXEEXT_18 = system-override-curves-allowlist$(EXEEXT) \
 @DISABLE_SYSTEM_CONFIG_FALSE@@WINDOWS_FALSE@	protocol-set-allowlist$(EXEEXT)
@@ -2904,10 +2899,6 @@ tls13_post_handshake_with_cert_ticket_OBJECTS =  \
 tls13_post_handshake_with_cert_ticket_LDADD = $(LDADD)
 tls13_post_handshake_with_cert_ticket_DEPENDENCIES =  \
 	$(COMMON_GNUTLS_LDADD) libutils.la $(am__DEPENDENCIES_2)
-tls13_post_handshake_with_psk_SOURCES =  \
-	tls13/post-handshake-with-psk.c
-tls13_post_handshake_with_psk_OBJECTS =  \
-	tls13/post-handshake-with-psk.$(OBJEXT)
 tls13_post_handshake_with_psk_LDADD = $(LDADD)
 tls13_post_handshake_with_psk_DEPENDENCIES = $(COMMON_GNUTLS_LDADD) \
 	libutils.la $(am__DEPENDENCIES_2)
@@ -3123,7 +3114,7 @@ xts_key_check_DEPENDENCIES = $(COMMON_GNUTLS_LDADD) libutils.la \
 	$(am__DEPENDENCIES_2)
 am__dist_check_SCRIPTS_DIST = rfc2253-escape-test.sh \
 	rsa-md5-collision/rsa-md5-collision.sh systemkey.sh tpm2.sh \
-	ktls.sh ktls_keyupdate.sh dtls/dtls.sh dtls/dtls-resume.sh \
+	dtls/dtls.sh dtls/dtls-resume.sh \
 	fastopen.sh pkgconfig.sh starttls.sh starttls-ftp.sh \
 	starttls-smtp.sh starttls-lmtp.sh starttls-pop3.sh \
 	starttls-xmpp.sh starttls-nntp.sh starttls-sieve.sh \
@@ -3509,7 +3500,6 @@ am__depfiles_remade = ./$(DEPDIR)/aead-cipher-vec.Po \
 	tls13/$(DEPDIR)/post-handshake-with-cert-pkcs11.Po \
 	tls13/$(DEPDIR)/post-handshake-with-cert-ticket.Po \
 	tls13/$(DEPDIR)/post-handshake-with-cert.Po \
-	tls13/$(DEPDIR)/post-handshake-with-psk.Po \
 	tls13/$(DEPDIR)/post-handshake-without-cert.Po \
 	tls13/$(DEPDIR)/prf-early.Po tls13/$(DEPDIR)/prf.Po \
 	tls13/$(DEPDIR)/psk-dumbfw.Po tls13/$(DEPDIR)/psk-ext.Po \
@@ -3732,7 +3722,6 @@ SOURCES = $(libpkcs11mock1_la_SOURCES) $(libpkcs11mock2_la_SOURCES) \
 	tls13/post-handshake-with-cert-auto.c \
 	tls13/post-handshake-with-cert-pkcs11.c \
 	tls13/post-handshake-with-cert-ticket.c \
-	tls13/post-handshake-with-psk.c \
 	tls13/post-handshake-without-cert.c tls13/prf.c \
 	tls13/prf-early.c tls13/psk-dumbfw.c tls13/psk-ext.c \
 	tls13/psk-ke-modes.c tls13/supported_versions.c \
@@ -3924,7 +3913,6 @@ DIST_SOURCES = $(am__libpkcs11mock1_la_SOURCES_DIST) \
 	tls13/post-handshake-with-cert-auto.c \
 	tls13/post-handshake-with-cert-pkcs11.c \
 	tls13/post-handshake-with-cert-ticket.c \
-	tls13/post-handshake-with-psk.c \
 	tls13/post-handshake-without-cert.c tls13/prf.c \
 	tls13/prf-early.c tls13/psk-dumbfw.c tls13/psk-ext.c \
 	tls13/psk-ke-modes.c tls13/supported_versions.c \
@@ -6094,7 +6082,7 @@ ctests = tls13/supported_versions tls13/tls12-no-tls13-exts \
 	tls13/prf tls13/prf-early \
 	tls13/post-handshake-with-cert-ticket tls12-rollback-detection \
 	tls11-rollback-detection tls12-check-rollback-val \
-	tls11-check-rollback-val tls13/post-handshake-with-psk \
+	tls11-check-rollback-val \
 	tls13/post-handshake-with-cert-auto tls13/anti_replay \
 	tls13/compress-cert tls13/compress-cert-neg \
 	tls13/compress-cert-neg2 tls13/compress-cert-cli \
@@ -8290,12 +8278,7 @@ tls13/post-handshake-with-cert-ticket.$(OBJEXT):  \
 tls13/post-handshake-with-cert-ticket$(EXEEXT): $(tls13_post_handshake_with_cert_ticket_OBJECTS) $(tls13_post_handshake_with_cert_ticket_DEPENDENCIES) $(EXTRA_tls13_post_handshake_with_cert_ticket_DEPENDENCIES) tls13/$(am__dirstamp)
 	@rm -f tls13/post-handshake-with-cert-ticket$(EXEEXT)
 	$(AM_V_CCLD)$(LINK) $(tls13_post_handshake_with_cert_ticket_OBJECTS) $(tls13_post_handshake_with_cert_ticket_LDADD) $(LIBS)
-tls13/post-handshake-with-psk.$(OBJEXT): tls13/$(am__dirstamp) \
-	tls13/$(DEPDIR)/$(am__dirstamp)
 
-tls13/post-handshake-with-psk$(EXEEXT): $(tls13_post_handshake_with_psk_OBJECTS) $(tls13_post_handshake_with_psk_DEPENDENCIES) $(EXTRA_tls13_post_handshake_with_psk_DEPENDENCIES) tls13/$(am__dirstamp)
-	@rm -f tls13/post-handshake-with-psk$(EXEEXT)
-	$(AM_V_CCLD)$(LINK) $(tls13_post_handshake_with_psk_OBJECTS) $(tls13_post_handshake_with_psk_LDADD) $(LIBS)
 tls13/post-handshake-without-cert.$(OBJEXT): tls13/$(am__dirstamp) \
 	tls13/$(DEPDIR)/$(am__dirstamp)
 
@@ -8939,7 +8922,6 @@ distclean-compile:
 @AMDEP_TRUE@@am__include@ @am__quote@tls13/$(DEPDIR)/post-handshake-with-cert-pkcs11.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tls13/$(DEPDIR)/post-handshake-with-cert-ticket.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tls13/$(DEPDIR)/post-handshake-with-cert.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@tls13/$(DEPDIR)/post-handshake-with-psk.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tls13/$(DEPDIR)/post-handshake-without-cert.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tls13/$(DEPDIR)/prf-early.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tls13/$(DEPDIR)/prf.Po@am__quote@ # am--include-marker
@@ -9676,13 +9658,6 @@ tls11-check-rollback-val.log: tls11-check-rollback-val$(EXEEXT)
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
-tls13/post-handshake-with-psk.log: tls13/post-handshake-with-psk$(EXEEXT)
-	@p='tls13/post-handshake-with-psk$(EXEEXT)'; \
-	b='tls13/post-handshake-with-psk'; \
-	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
-	--log-file $$b.log --trs-file $$b.trs \
-	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
-	"$$tst" $(AM_TESTS_FD_REDIRECT)
 tls13/post-handshake-with-cert-auto.log: tls13/post-handshake-with-cert-auto$(EXEEXT)
 	@p='tls13/post-handshake-with-cert-auto$(EXEEXT)'; \
 	b='tls13/post-handshake-with-cert-auto'; \
@@ -13285,7 +13260,6 @@ distclean: distclean-recursive
 	-rm -f tls13/$(DEPDIR)/post-handshake-with-cert-pkcs11.Po
 	-rm -f tls13/$(DEPDIR)/post-handshake-with-cert-ticket.Po
 	-rm -f tls13/$(DEPDIR)/post-handshake-with-cert.Po
-	-rm -f tls13/$(DEPDIR)/post-handshake-with-psk.Po
 	-rm -f tls13/$(DEPDIR)/post-handshake-without-cert.Po
 	-rm -f tls13/$(DEPDIR)/prf-early.Po
 	-rm -f tls13/$(DEPDIR)/prf.Po
@@ -13794,7 +13768,6 @@ maintainer-clean: maintainer-clean-recursive
 	-rm -f tls13/$(DEPDIR)/post-handshake-with-cert-pkcs11.Po
 	-rm -f tls13/$(DEPDIR)/post-handshake-with-cert-ticket.Po
 	-rm -f tls13/$(DEPDIR)/post-handshake-with-cert.Po
-	-rm -f tls13/$(DEPDIR)/post-handshake-with-psk.Po
 	-rm -f tls13/$(DEPDIR)/post-handshake-without-cert.Po
 	-rm -f tls13/$(DEPDIR)/prf-early.Po
 	-rm -f tls13/$(DEPDIR)/prf.Po
